/*

  Magic Light Cup Module Fade LED

  Parts required:
  - Arduino Board
  - 2 x Magic Light Cup Module

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 12 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int ledPinA = 10;
int ledPinB = 11;
int switchPinA = 5;
int switchPinB = 6;
int switchStateA = 0;
int switchStateB = 0;
int brightness = 0;

void setup()
{
  pinMode(ledPinA, OUTPUT);                       // Set ledPinA as OUTPUT
  pinMode(ledPinB, OUTPUT);                       // Set ledPinB as OUTPUT
  pinMode(switchPinA, INPUT);                     // Set switchPinA as INPUT
  pinMode(switchPinB, INPUT);                     // Set switchPinB as INPUT
}

void loop()
{
  switchStateA = digitalRead(switchPinA);         // Read value from switchPinA and store in switchStateA
  if (switchStateA == HIGH && brightness != 255)  // If switchStateA == HIGH and If not brightness = 255
  {
    brightness ++;                                // brifhtness increase with 1
  }
  switchStateB = digitalRead(switchPinB);         // Read value from switchPinB and store in switchStateB
  if (switchStateB == HIGH && brightness != 0)    // If switchStateB == HIGH and If not brightness = 255
  {
    brightness --;                                // brifhtness decrease with 1
  }
  analogWrite(ledPinA, brightness);               // Set ledPinA from 0 - 255
  analogWrite(ledPinB, 255 - brightness);         // Set ledPinB from 255 - brightness
  delay(20);                                      // Delay 20mS
}
